From 271222e9bf2c3876ca113696963252bd741fc3a8 Mon Sep 17 00:00:00 2001
From: Glenn E. Bailey III <gbailey@terremark.com>
Date: Wed, 6 Jul 2011 13:34:01 -0500
Subject: [PATCH] Moved HEADER heredoc from action_buildiso.py to /etc/cobbler/iso/buildiso.header

---
 cobbler/action_buildiso.py    |   32 +++++++++++---------------------
 cobbler/settings.py           |    1 +
 setup.py                      |    1 +
 templates/iso/buildiso.header |    4 ++++
 4 files changed, 17 insertions(+), 21 deletions(-)
 create mode 100644 templates/iso/buildiso.header

diff --git a/cobbler/action_buildiso.py b/cobbler/action_buildiso.py
index 02189eb..24e1479 100644
--- a/cobbler/action_buildiso.py
+++ b/cobbler/action_buildiso.py
@@ -34,25 +34,6 @@ from cexceptions import *
 from utils import _
 import clogger
 
-# FIXME: lots of overlap with pxegen.py, should consolidate
-# FIXME: disable timeouts and remove local boot for this?
-HEADER = """
-
-DEFAULT menu
-PROMPT 0
-MENU TITLE Cobbler | http://cobbler.et.redhat.com
-TIMEOUT 200
-TOTALTIMEOUT 6000
-ONTIMEOUT local
-
-LABEL local
-        MENU LABEL (local)
-        MENU DEFAULT
-        KERNEL chain.c32
-        APPEND hd0 0
-
-"""
-
 class BuildIso:
     """
     Handles conversion of internal state to the tftpboot tree layout
@@ -109,10 +90,14 @@ class BuildIso:
        else:
           which_systems = []
 
+       # grab the header from buildiso.header file
+       header_src = open(os.path.join(self.settings.iso_template_dir,"buildiso.header"))
+       header_data = header_src.read()
+       header_src.close()
        # setup isolinux.cfg
        isolinuxcfg = os.path.join(isolinuxdir, "isolinux.cfg")
        cfg = open(isolinuxcfg, "w+")
-       cfg.write(HEADER) # FIXME: use template
+       cfg.write(header_data)
 
        # iterate through selected profiles
        for profile in all_profiles:
@@ -354,10 +339,15 @@ class BuildIso:
         if rc:
             utils.die(self.logger,"rsync of files failed")
 
+        # grab the header from buildiso.header file
+        header_src = open(os.path.join(self.settings.iso_template_dir,"buildiso.header"))
+        header_data = header_src.read()
+        header_src.close()
+
         self.logger.info("generating a isolinux.cfg")
         isolinuxcfg = os.path.join(isolinuxdir, "isolinux.cfg")
         cfg = open(isolinuxcfg, "w+")
-        cfg.write(HEADER) # fixme, use template
+        cfg.write(header_data)
 
         for descendant in descendants:
             data = utils.blender(self.api, True, descendant)
diff --git a/cobbler/settings.py b/cobbler/settings.py
index a9888d7..72b3830 100644
--- a/cobbler/settings.py
+++ b/cobbler/settings.py
@@ -86,6 +86,7 @@ DEFAULTS = {
     "power_template_dir"          : "/etc/cobbler/power",
     "puppet_auto_setup"           : 0,
     "pxe_just_once"               : 0,
+    "iso_template_dir"            : "/etc/cobbler/iso",
     "pxe_template_dir"            : "/etc/cobbler/pxe",
     "redhat_management_permissive" : 0,
     "redhat_management_type"      : "off",
diff --git a/setup.py b/setup.py
index c1a2892..4e9e3f9 100644
--- a/setup.py
+++ b/setup.py
@@ -187,6 +187,7 @@ if __name__ == "__main__":
             #Configuration
             ("%s" % etcpath,                ["config/*"]),
             ("%s" % etcpath,                ["templates/etc/*"]),
+            ("%siso" % etcpath,             ["templates/iso/*"]),
             ("%spxe" % etcpath,             ["templates/pxe/*"]),
             ("%sreporting" % etcpath,       ["templates/reporting/*"]),
             ("%spower" % etcpath,           ["templates/power/*"]),
diff --git a/templates/iso/buildiso.header b/templates/iso/buildiso.header
new file mode 100644
index 0000000..f9b71a4
--- /dev/null
+++ b/templates/iso/buildiso.header
@@ -0,0 +1,4 @@
+DEFAULT menu
+PROMPT 0
+MENU TITLE Cobbler | http://cobbler.et.redhat.com
+
-- 
1.7.0.5

